
/* Copyright (c) 2008-2010, Stefan Eilemann <eile@equalizergraphics.com> 
 *
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License version 2.1 as published
 * by the Free Software Foundation.
 *  
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */

#ifndef EQUTIL_H
#define EQUTIL_H

/** 
 * @namespace eq::util
 * @brief Equalizer utility classes
 *
 * The eq::util namespace groups common utility classes, mostly facilitating the
 * usage of OpenGL functions. Most classes in this namespace are used by the
 * Equalizer client library, but are usable independently from Equalizer.
 */

#include <eq/util/accum.h>
#include <eq/util/accumBufferObject.h>
#include <eq/util/bitmapFont.h>
#include <eq/util/frameBufferObject.h>
#include <eq/util/objectManager.h>

#endif // EQUTIL_H

