

####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was EqualizerConfig.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

####################################################################################

set(Equalizer_PREFIX_DIR ${PACKAGE_PREFIX_DIR})
if(CMAKE_VERSION VERSION_LESS 2.8.3) # WAR bug
  get_filename_component(CMAKE_CURRENT_LIST_DIR ${CMAKE_CURRENT_LIST_FILE} PATH)
endif()
list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_LIST_DIR})
# Copyright (c) 2014 Stefan.Eilemann@epfl.ch

# Provides common_package(Name args) which improves find_package.
# First invokes find_package with all the given arguments, and then
# falls back to using pkg_config if available. The pkg_config path
# does only implement the version, REQUIRED and QUIET find_package
# arguments (e.g. no COMPONENTS)

find_package(PkgConfig)
set(ENV{PKG_CONFIG_PATH}
  "${CMAKE_INSTALL_PREFIX}/lib/pkgconfig:$ENV{PKG_CONFIG_PATH}")

macro(COMMON_PACKAGE Name)
  string(TOUPPER ${Name} COMMON_PACKAGE_NAME)
  set(COMMON_PACKAGE_ARGS ${ARGN}) # ARGN is not a list. make one.
  set(COMMON_PACKAGE_VERSION)

  if(COMMON_PACKAGE_ARGS)
    list(GET COMMON_PACKAGE_ARGS 0 COMMON_PACKAGE_VERSION)
    if(COMMON_PACKAGE_VERSION MATCHES "^[0-9.]+$") # is a version
      set(COMMON_PACKAGE_VERSION ">=${COMMON_PACKAGE_VERSION}")
    else()
      set(COMMON_PACKAGE_VERSION)
    endif()
  endif()

  list(FIND COMMON_PACKAGE_ARGS "QUIET" COMMON_PACKAGE_QUIET_POS)
  if(COMMON_PACKAGE_QUIET_POS EQUAL -1)
    set(COMMON_PACKAGE_QUIET)
  else()
    set(COMMON_PACKAGE_QUIET "QUIET")
  endif()

  list(FIND COMMON_PACKAGE_ARGS "REQUIRED" COMMON_PACKAGE_REQUIRED_POS)
  if(COMMON_PACKAGE_REQUIRED_POS EQUAL -1) # Optional find
    find_package(${Name} ${COMMON_PACKAGE_ARGS}) # try standard cmake way
    if((NOT ${Name}_FOUND) AND (NOT ${COMMON_PACKAGE_NAME}_FOUND) AND PKG_CONFIG_EXECUTABLE)
      pkg_check_modules(${Name} ${Name}${COMMON_PACKAGE_VERSION}
        ${COMMON_PACKAGE_QUIET}) # try pkg_config way
    endif()
  else() # required find
    list(REMOVE_AT COMMON_PACKAGE_ARGS ${COMMON_PACKAGE_REQUIRED_POS})
    find_package(${Name} ${COMMON_PACKAGE_ARGS}) # try standard cmake way
    if((NOT ${Name}_FOUND) AND (NOT ${COMMON_PACKAGE_NAME}_FOUND) AND PKG_CONFIG_EXECUTABLE)
      pkg_check_modules(${Name} REQUIRED ${Name}${COMMON_PACKAGE_VERSION}
        ${COMMON_PACKAGE_QUIET}) # try pkg_config way (and fail if needed)
    endif()
  endif()
endmacro()

set(_req)
set(_quiet)
set(Equalizer_fail)
set(EQUALIZER_COMPONENTS)
if(NOT EQUALIZER_FOUND)
  set(EQUALIZER_STATUS ON)
else()
  set(EQUALIZER_STATUS)
endif()

if(Equalizer_FIND_REQUIRED)
  set(_req REQUIRED)
endif()
if(Equalizer_FIND_QUIETLY)
  set(_quiet QUIET)
endif()

set(_LUNCHBOX_libraries_backup ${LUNCHBOX_LIBRARIES})
set(_LUNCHBOX_found_backup ${LUNCHBOX_FOUND})
set(LUNCHBOX_LIBRARIES)
set(LUNCHBOX_FOUND)
common_package(Lunchbox 1.10 QUIET ${_req} )
if(LUNCHBOX_FOUND)
  set(EQUALIZER_LUNCHBOX_LIBRARIES ${LUNCHBOX_LIBRARIES})
  set(EQUALIZER_LUNCHBOX_FOUND TRUE)
  if(NOT ${LUNCHBOX_VERSION_ABI} VERSION_EQUAL 3)
    message(FATAL_ERROR "LUNCHBOX ABI version '${LUNCHBOX_VERSION_ABI}' not compatible with expected version '3'")
  endif()
  list(APPEND EQUALIZER_DEP_LIBRARIES ${LUNCHBOX_LIBRARIES})
  list(APPEND EQUALIZER_INCLUDE_DIRS ${LUNCHBOX_INCLUDE_DIRS})
else()
  set(Equalizer_fail "Lunchbox ")
endif()
set(LUNCHBOX_LIBRARIES ${_LUNCHBOX_libraries_backup})
set(LUNCHBOX_FOUND ${_LUNCHBOX_found_backup})

set(_COLLAGE_libraries_backup ${COLLAGE_LIBRARIES})
set(_COLLAGE_found_backup ${COLLAGE_FOUND})
set(COLLAGE_LIBRARIES)
set(COLLAGE_FOUND)
common_package(Collage 1.1 QUIET ${_req} )
if(COLLAGE_FOUND)
  set(EQUALIZER_COLLAGE_LIBRARIES ${COLLAGE_LIBRARIES})
  set(EQUALIZER_COLLAGE_FOUND TRUE)
  if(NOT ${COLLAGE_VERSION_ABI} VERSION_EQUAL 2)
    message(FATAL_ERROR "COLLAGE ABI version '${COLLAGE_VERSION_ABI}' not compatible with expected version '2'")
  endif()
  list(APPEND EQUALIZER_DEP_LIBRARIES ${COLLAGE_LIBRARIES})
  list(APPEND EQUALIZER_INCLUDE_DIRS ${COLLAGE_INCLUDE_DIRS})
else()
  set(Equalizer_fail "Collage ")
endif()
set(COLLAGE_LIBRARIES ${_COLLAGE_libraries_backup})
set(COLLAGE_FOUND ${_COLLAGE_found_backup})

set(EQUALIZER_FIND_FILES )
set(_output_type)
set(_out)
if(Equalizer_FIND_REQUIRED)
  set(_output_type FATAL_ERROR)
  set(_out 1)
else()
  set(_output_type STATUS)
  if(NOT Equalizer_FIND_QUIETLY)
    set(_out 1)
  endif()
endif()
if(NOT Equalizer_fail)
  list(APPEND EQUALIZER_INCLUDE_DIRS ${Equalizer_PREFIX_DIR}/include)
  set(EQUALIZER_DEB_DEPENDENCIES "equalizer180 (>= 1.8)")
  set(EQUALIZER_DEB_LIB_DEPENDENCY "equalizer180-lib (>= 1.8)")
  set(EQUALIZER_DEB_DEV_DEPENDENCY "equalizer180-dev (>= 1.8)")

  if(Equalizer_FIND_COMPONENTS)
    find_library(${UPPER_PROJECT_NAME}_LIBRARY Equalizer NO_DEFAULT_PATH
                 PATHS ${Equalizer_PREFIX_DIR} PATH_SUFFIXES lib )
    list(APPEND EQUALIZER_LIBRARIES ${EQUALIZER_LIBRARY})
    foreach(_component ${Equalizer_FIND_COMPONENTS})
      find_library(${_component}_libraryname Equalizer_${_component} NO_DEFAULT_PATH
        PATHS ${Equalizer_PREFIX_DIR} PATH_SUFFIXES lib )

      if(${_component}_libraryname MATCHES "${_component}_libraryname-NOTFOUND")
        if(Equalizer_FIND_REQUIRED_${_component})
          set(Equalizer_fail "Component ${_component} ")
          message(FATAL_ERROR "   Equalizer_${_component} "
            "not found in ${Equalizer_PREFIX_DIR}/lib")
        elseif(NOT _quiet)
          message(STATUS "   Equalizer_${_component} "
            "not found in ${Equalizer_PREFIX_DIR}/lib")
        endif()
      else()
        string(TOUPPER ${_component} _COMPONENT)
        set(EQUALIZER_${_COMPONENT}_FOUND TRUE)
        set(EQUALIZER_${_COMPONENT}_LIBRARY ${${_component}_libraryname})
        list(APPEND EQUALIZER_LIBRARIES ${${_component}_libraryname})
        list(APPEND EQUALIZER_COMPONENTS ${_component})
      endif()
    endforeach()
  elseif(EQUALIZER_FIND_FILES)
    find_file(EQUALIZER_FILE NAMES  NO_DEFAULT_PATH
              PATHS ${Equalizer_PREFIX_DIR} PATH_SUFFIXES include)
    if(EQUALIZER_FILE MATCHES "EQUALIZER_FILE-NOTFOUND")
      set(Equalizer_fail " ")
      if(_out)
        message(${_output_type} "   Missing the Equalizer "
          "file in ${Equalizer_PREFIX_DIR}/include.")
      endif()
    endif()
  else()
    set(EQUALIZER_LIBRARY_NAMES "GLEW_MX_Equalizer;triply;EqualizerFabric;Equalizer;EqualizerAdmin;EqualizerServer;Sequel")
    foreach(_libraryname ${EQUALIZER_LIBRARY_NAMES})
      string(TOUPPER ${_libraryname} _LIBRARYNAME)
      find_library(${_LIBRARYNAME}_LIBRARY ${_libraryname} NO_DEFAULT_PATH
                   PATHS ${Equalizer_PREFIX_DIR} PATH_SUFFIXES lib )
      if(${_LIBRARYNAME}_LIBRARY MATCHES "${_LIBRARYNAME}_LIBRARY-NOTFOUND")
        set(Equalizer_fail "${_libraryname} ")
        if(_out)
          message(${_output_type}
            "   Missing ${_libraryname} in ${Equalizer_PREFIX_DIR}/lib")
        endif()
      else()
        list(APPEND EQUALIZER_LIBRARIES ${${_LIBRARYNAME}_LIBRARY})
        string(REPLACE "Equalizer_" "" _component ${_libraryname})
        string(TOUPPER ${_component} _COMPONENT)
        set(EQUALIZER_${_COMPONENT}_FOUND TRUE)
        list(APPEND EQUALIZER_COMPONENTS ${_component})
      endif()
    endforeach()
  endif()

  if(EXISTS ${Equalizer_PREFIX_DIR}/share/Equalizer/CMake/options.cmake)
    include(${Equalizer_PREFIX_DIR}/share/Equalizer/CMake/options.cmake)
  endif()
endif()

list(APPEND EQUALIZER_LIBRARIES ${EQUALIZER_DEP_LIBRARIES})
set(EQUALIZER_DEP_LIBRARIES)
if(Equalizer_fail)
  set(EQUALIZER_FOUND)
  set(Equalizer_FOUND)
  set(EQUALIZER_VERSION)
  set(EQUALIZER_VERSION_ABI)
  set(EQUALIZER_INCLUDE_DIRS)
  set(EQUALIZER_LIBRARIES)
  set(EQUALIZER_DEB_DEPENDENCIES)
  set(EQUALIZER_LIBRARY)
  set(EQUALIZER_COMPONENTS)
  if(_out)
    message(STATUS "Could not find Equalizer: ${Equalizer_fail} not found")
  endif()
else()
  set(EQUALIZER_FOUND TRUE)
  set(Equalizer_FOUND TRUE)
  set(EQUALIZER_VERSION 1.8.0)
  set(EQUALIZER_VERSION_ABI 180)
  set(EQUALIZER_MODULE_FILENAME )
  list(SORT EQUALIZER_INCLUDE_DIRS)
  list(REMOVE_DUPLICATES EQUALIZER_INCLUDE_DIRS)
  if(EQUALIZER_LIBRARIES)
    list(REMOVE_DUPLICATES EQUALIZER_LIBRARIES)
  endif()
  if(_out AND EQUALIZER_STATUS)
    message(STATUS "Found Equalizer 1.8.0-180 [${EQUALIZER_COMPONENTS}] in "
      "${EQUALIZER_INCLUDE_DIRS}:${EQUALIZER_LIBRARY}")
  endif()
endif()
